<ion-header>
  <ion-toolbar>
    <ion-title>Gestion des notes</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <h4>En cours de traitement</h4>
  <ion-grid>
    <ion-row class="title">
      <ion-col class="col-2">ID</ion-col>
      <ion-col class="col-3">Mois</ion-col>
      <ion-col class="col-3">Validé</ion-col>
      <ion-col class="col-4">Etat</ion-col>
    </ion-row>
    <ion-row class="consult" *ngFor="let item of ficheATraiter; index as i"
      [routerLink]="'/new-note-frais/'+ item.idVisiteur +'/'+ item.mois">
      <ion-col class="col-2 px-2 py-3">{{ item.idVisiteur }}</ion-col>
      <ion-col class="col-3 px-2 py-3">{{ item.mois | numberToDate}}</ion-col>
      <ion-col class="col-3 px-2 py-3">{{ item.montantValide }} €</ion-col>
      <ion-col class="ellipsis col-4 py-3">{{ item.libelle }}</ion-col>
    </ion-row>
  </ion-grid>

  <h4>Archives</h4>
  <ion-grid>
    <ion-row class="title">
      <ion-col class="col-2">ID</ion-col>
      <ion-col class="col-3">Mois</ion-col>
      <ion-col class="col-3">Validé</ion-col>
      <ion-col class="col-4">Etat</ion-col>
    </ion-row>
    <ion-row class="consult" *ngFor="let item of ficheTraitees; index as i"
      [routerLink]="'/new-note-frais/'+ item.idVisiteur +'/'+ item.mois">
      <ion-col class="col-2 px-2 py-3">{{ item.idVisiteur }}</ion-col>
      <ion-col class="col-3 px-2 py-3">{{ item.mois | numberToDate}}</ion-col>
      <ion-col class="col-3 px-2 py-3">{{ item.montantValide }} €</ion-col>
      <ion-col class="ellipsis col-4 py-3">{{ item.libelle }}</ion-col>
    </ion-row>
  </ion-grid>


  <div>
    <ion-fab class="fab" vertical="bottom" horizontal="end" slot="fixed">
      <ion-fab-button color="gsb" (click)="this.logout()">
        <ion-icon name="log-out-outline"></ion-icon>
      </ion-fab-button>
    </ion-fab>
  </div>
</ion-content>